<html>
<head>
<title>OgreMath.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">OgreMath.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
</div>
<p><a href="OgreMath_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html">Ogre::Radian</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper class which indicates a given angle value is in Radians.  <a href="classOgre_1_1Radian.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html">Ogre::Degree</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper class which indicates a given angle value is in Degrees.  <a href="classOgre_1_1Degree.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Angle.html">Ogre::Angle</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper class which identifies a value as the currently default angle type, as defined by <a class="el" href="classOgre_1_1Math.html#afb791263d1e8508fc75f698a20d96b87" title="These functions used to set the assumed angle units (radians or degrees) expected when using the Angl...">Math::setAngleUnit</a>.  <a href="classOgre_1_1Angle.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to provide access to common mathematical functions.  <a href="classOgre_1_1Math.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga03482705bf3612c6b96e5a187095e8ac">Ogre::operator*</a> (Real a, const Radian &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga49268a0dd483041451c010eeec55f83a">Ogre::operator/</a> (Real a, const Radian &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Degree&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga01057ea7c8adad28c8100750a78105c8">Ogre::operator*</a> (Real a, const Degree &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Degree&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga5b1b6f29e0c3e2fdb55c88f7fd5ccf9b">Ogre::operator/</a> (Real a, const Degree &amp;b)</td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
